Bug 2582 - No connection possible with WinXP x64 Edition
No connection possible with WinXP x64 Edition
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.9
All All
: P3 major
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-07 04:22 UTC by Andreas Buschka
Modified: 2005-08-24 10:26 UTC (History)
1 user (show)

See Also:


Attachments
Failed connection attempt (8.28 KB, text/plain)
2005-04-25 01:49 UTC, Andreas Buschka
no flags Details
Failed connection attempt, new format (1.02 KB, application/octet-stream)
2005-05-10 02:14 UTC, Andreas Buschka
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Buschka 2005-04-07 04:22:37 UTC
Using the RTM version of Windows XP Professional, x64 Edition (AMD64), no
connection to the samba server 3.0.11 is possible. Windows returns the error message

"\\servername is not accessible. You might not have permission to use this
network resource. Contact the administrator of this server to find out if you
have access permissions.

The request is not supported."

Accessing the same server using Windows XP Professional (32-bit) is no problem.

/var/log/samba/uranos-64.log (name of my workstation) contains:

[2005/04/07 13:22:03, 0] lib/util_sock.c:write_socket_data(430)
  write_socket_data: write failure. Error = Connection reset by peer
[2005/04/07 13:22:03, 0] lib/util_sock.c:write_socket(455)
  write_socket: Error writing 4 bytes to socket 6: ERRNO = Connection reset by peer
[2005/04/07 13:22:03, 0] lib/util_sock.c:send_smb(647)
  Error writing 4 bytes to client. -1. (Connection reset by peer)
Comment 1 Gerald (Jerry) Carter 2005-04-20 06:43:36 UTC
please attach a raw ethereal trace to this report of 
the failed connection attempt.  Thanks.
Comment 2 Andreas Buschka 2005-04-25 01:49:41 UTC
Created attachment 1171 [details]
Failed connection attempt
Comment 3 Jeremy Allison 2005-04-25 12:29:19 UTC
This capture is worthless I'm afraid. We need a binary file containing the data,
not a truncated text file (why do people keep thinking that capture traces are
*text* files. It is still a mystery to me).
Jeremy.
Comment 4 Volker Lendecke 2005-04-25 12:45:58 UTC
I'm regularly getting plain stdout of tcpdump. We should really document 'tcpdump -i eth0 -n -s 1500 -w /tmp/sniff' a lot more prominent -- any suggestions for a place to do it? 
Comment 5 Andreas Buschka 2005-05-10 02:14:35 UTC
Created attachment 1215 [details]
Failed connection attempt, new format
Comment 6 Björn Jacke 2005-06-10 08:53:37 UTC
I can reproduce it here. The session setup request for NTLMSSP_NEGOTIATE
contains another null byte terminator after the "native os" string which results
in "native lanmanager" being empty and "primary domain" being what should be
"native lan manager". Why the hell..?
Comment 7 Björn Jacke 2005-06-20 03:37:17 UTC
fixed with svn r7708 , thanks Jeremy and Luke.
Comment 8 Gerald (Jerry) Carter 2005-08-24 10:26:43 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.